org.apache.poi.hslf.usermodel

## Class HSLFPlaceholderDetails

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFPlaceholderDetails

- All Implemented Interfaces:
    PlaceholderDetails
  Direct Known Subclasses:
    HSLFShapePlaceholderDetails

      public class HSLFPlaceholderDetails
      extends java.lang.Object
      implements PlaceholderDetails

  Extended placeholder details for HSLF sheets - mainly for headers and footers
  Since:
    POI 4.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.usermodel.PlaceholderDetails

      `PlaceholderDetails.PlaceholderSize`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Placeholder` | `getPlaceholder()`
    `PlaceholderDetails.PlaceholderSize` | `getSize()`
    `java.lang.String` | `getText()` If the placeholder shape or object stores text, this text is returned otherwise `null`.
    `boolean` | `isVisible()`
    `void` | `setPlaceholder(Placeholder placeholder)` Specifies that the corresponding shape should be represented by the generating application as a placeholder.
    `void` | `setSize(PlaceholderDetails.PlaceholderSize size)`
    `void` | `setText(java.lang.String text)` If the placeholder shape or object stores text, the given text is stored otherwise this is a no-op.
    `void` | `setVisible(boolean isVisible)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `PlaceholderDetails`

    - #### setVisible

          public void setVisible(boolean isVisible)

      Specified by:
        `setVisible` in interface `PlaceholderDetails`

    - #### getPlaceholder

          public Placeholder getPlaceholder()

      Specified by:
        `getPlaceholder` in interface `PlaceholderDetails`

    - #### setPlaceholder

          public void setPlaceholder(Placeholder placeholder)

      Description copied from interface: `PlaceholderDetails`
      Specifies that the corresponding shape should be represented by the generating application as a placeholder. When a shape is considered a placeholder by the generating application it can have special properties to alert the user that they may enter content into the shape. Different types of placeholders are allowed and can be specified by using the placeholder type attribute for this element
      Specified by:
        `setPlaceholder` in interface `PlaceholderDetails`
      Parameters:
        `placeholder` - The shape to use as placeholder or null if no placeholder should be set.

    - #### getSize

          public PlaceholderDetails.PlaceholderSize getSize()

      Specified by:
        `getSize` in interface `PlaceholderDetails`

    - #### setSize

          public void setSize(PlaceholderDetails.PlaceholderSize size)

      Specified by:
        `setSize` in interface `PlaceholderDetails`

    - #### getText

          public java.lang.String getText()

      Description copied from interface: `PlaceholderDetails`
      If the placeholder shape or object stores text, this text is returned otherwise `null`.
      Specified by:
        `getText` in interface `PlaceholderDetails`
      Returns:
        the text of the shape / placeholder

    - #### setText

          public void setText(java.lang.String text)

      Description copied from interface: `PlaceholderDetails`
      If the placeholder shape or object stores text, the given text is stored otherwise this is a no-op.
      Specified by:
        `setText` in interface `PlaceholderDetails`
      Parameters:
        `text` - the placeholder text

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.